Fabasoft Folio Client with Mozilla Firefox version 52 and above

Last update: 27 July 2018

Summary

Mozilla Firefox disabled the Add-On interface NPAPI starting with Firefox Version 52. Firefox Add-Ons using the NPAPI are automatically disabled in Firefox Version 52 and above.

Fabasoft Folio has used the NPAPI from Firefox, but with anouncement of the deprecation of the NPAPI, Fabasoft re-developed it's Firefox Add-On to further support the Fabasoft Folio Client with newer versions of Mozilla Firefox.

This article lists Fabasoft Folio versions that work with Firefox V52 and above.

Notice: This article does not change the Software Product Information (SPI) of your current Fabasoft Folio version. If you intend to use software versions not listed in the SPI, please do appropriate tests with that software.

Information

Fabasoft Folio Client version and build numbers that operate with Firefox 52 and above

Fabasoft Version Build number New Firefox extension available
Before Fabasoft Folio 2016 - NO
Fabasoft Folio 2016 Release up to UR3 16.0.4 - 16.0.7 NO
Fabasoft Folio 2016 UR4 and above 16.0.8 - 16.0.x YES
Fabasoft Folio 2017 and above 17.x YES

 

Details

The new installation of the Fabasoft Folio Client by running FolioClient.msi will install the Folio Client (including the Tray Icon). For communication from Firefox to the Folio Client, the Firefox Add-On FolioFirefoxExtension.xpi (in the same directory as FolioClient.msi) needs to be installed additionally, when preinstalling or rolling out the software.  

For a manual installation by the user, the browser wellness factor is shown in the "Account" button on the top right corner. If it shows a red exclamation mark, the details will offer to install the Firefox Add-On as well as the Folio Client.